namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "spiky_shield")]
public class SpikyShieldEffect : ProtectionEffectScript
{
    /// <inheritdoc />
    public override void BlockIncomingHit(IExecutingMove executingMove, IPokemon target, byte hitIndex, ref bool block)
    {
        base.BlockIncomingHit(executingMove, target, hitIndex, ref block);
        if (block)
        {
            executingMove.User.Damage(executingMove.User.MaxHealth / 8, DamageSource.Misc);
        }
    }
}